# pysorters
[![pytest](https://github.com/yo1am1/pysorters/actions/workflows/test.yaml/badge.svg?branch=main)](https://github.com/yo1am1/pysorters/actions/workflows/test.yaml) 
[![Lint](https://github.com/yo1am1/pysorters/actions/workflows/black.yaml/badge.svg?branch=main)](https://github.com/yo1am1/pysorters/actions/workflows/black.yaml)
![Coverage](https://github.com/yo1am1/pysorters/blob/main/coverage.svg)
[![License: MIT](https://img.shields.io/github/license/yo1am1/pysorters)](https://github.com/yo1am1/pysorters/blob/main/LICENSE)
[![GitHub last commit](https://img.shields.io/github/last-commit/yo1am1/pysorters)](https://github.com/yo1am1/pysorters/commits/main)
![PyPI - Python Version](https://img.shields.io/pypi/pyversions/pysorters)
![GitHub repo size](https://img.shields.io/github/repo-size/yo1am1/pysorters)
![PyPI - Version](https://img.shields.io/pypi/v/pysorters)
![GitHub Tag](https://img.shields.io/github/v/tag/yo1am1/pysorters)


Python package with sort methods for everything you could even imagine! :rocket: :rocket: :rocket:


# Table of Contents
- [Installation](#installation)
- [Usage](#usage)
- [License](#license)

# Installation
You can install the package via pip:
```shell
pip install pysorters
```
Or via git:
```shell
pip install git+https://github.com/yo1am1/pysorters.git
```

# Usage
1. Bubble Sort
   ```python
    from pysorters import Sorter
   
    sort_1 = Sorter()
    array = [3, 2, 1]
   
    sort_1.bubble_sort(array)
   
    print(array)
    # [1, 2, 3]
   
    sort_2 = Sorter([10, 9, 6, 7, 8, 3, 5, 4, 2, 1])
   
    result = sort_2.quick_sort()
   
    print(result)
    # [1, 2, 3, 4, 5, 6, 7, 8, 9, 10]                
   ```
2. Quick Sort
   ```python
    from pysorters import Sorter, gran_array_int
   
    sort = Sorter(gran_array_int(10, 1, 10))
   
    result = sort.quick_sort()
   
    print(result)
   ```
_... and many more!_

# License
This project is licensed under the terms of the MIT license.
